{: test a compilation error occurs if fixed point precision < 0 }

{$d+}
program d075( output );

var
   n    : integer;

begin {d075}

   n := 1;
   writeln( 12.3:5:n );    { OK }
   n := -11;
   writeln( 12.3:5:n );    { !!! precision field width < 0 }
   writeln( 'fails: write real format error not detected' );

end. { d075 }

